Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class GroupHeader42

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.GroupHeader42

    public class GroupHeader42
    extends java.lang.Object

Java class for GroupHeader42 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeader42">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max35Text"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ISODateTime"/>
             <element name="MsgRcpt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}PartyIdentification32" minOccurs="0"/>
             <element name="MsgPgntn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Pagination" minOccurs="0"/>
             <element name="AddtlInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `addtlInf`
`protected javax.xml.datatype.XMLGregorianCalendar` `creDtTm`
`protected java.lang.String` `msgId`
`protected Pagination` `msgPgntn`
`protected PartyIdentification32` `msgRcpt`

### Constructor Summary

Constructors
`GroupHeader42()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAddtlInf()` Gets the value of the addtlInf property.
`javax.xml.datatype.XMLGregorianCalendar` `getCreDtTm()` Gets the value of the creDtTm property.
`java.lang.String` `getMsgId()` Gets the value of the msgId property.
`Pagination` `getMsgPgntn()` Gets the value of the msgPgntn property.
`PartyIdentification32` `getMsgRcpt()` Gets the value of the msgRcpt property.
`void` `setAddtlInf​(java.lang.String value)` Sets the value of the addtlInf property.
`void` `setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the creDtTm property.
`void` `setMsgId​(java.lang.String value)` Sets the value of the msgId property.
`void` `setMsgPgntn​(Pagination value)` Sets the value of the msgPgntn property.
`void` `setMsgRcpt​(PartyIdentification32 value)` Sets the value of the msgRcpt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgId

    protected java.lang.String msgId

#### creDtTm

    protected javax.xml.datatype.XMLGregorianCalendar creDtTm

#### msgRcpt

    protected PartyIdentification32 msgRcpt

#### msgPgntn

    protected Pagination msgPgntn

#### addtlInf

    protected java.lang.String addtlInf

### Constructor Detail

#### GroupHeader42

    public GroupHeader42()

### Method Detail

#### getMsgId

    public java.lang.String getMsgId()

Gets the value of the msgId property.

Returns:
  possible object is `String`

#### setMsgId

    public void setMsgId​(java.lang.String value)

Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

#### getCreDtTm

    public javax.xml.datatype.XMLGregorianCalendar getCreDtTm()

Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setCreDtTm

    public void setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getMsgRcpt

    public PartyIdentification32 getMsgRcpt()

Gets the value of the msgRcpt property.

Returns:
  possible object is `PartyIdentification32`

#### setMsgRcpt

    public void setMsgRcpt​(PartyIdentification32 value)

Sets the value of the msgRcpt property.

Parameters:
  `value` - allowed object is `PartyIdentification32`

#### getMsgPgntn

    public Pagination getMsgPgntn()

Gets the value of the msgPgntn property.

Returns:
  possible object is `Pagination`

#### setMsgPgntn

    public void setMsgPgntn​(Pagination value)

Sets the value of the msgPgntn property.

Parameters:
  `value` - allowed object is `Pagination`

#### getAddtlInf

    public java.lang.String getAddtlInf()

Gets the value of the addtlInf property.

Returns:
  possible object is `String`

#### setAddtlInf

    public void setAddtlInf​(java.lang.String value)

Sets the value of the addtlInf property.

Parameters:
  `value` - allowed object is `String`